## orblog (0.1.1) [Deprecated]
Simple blog for hidden services (like tor / i2p) with markdown support.

## Comment
It was written in 2 evenings in 2020 to complete one small personal task. There will be no updating or development.

**Use only at your own risk!**

## Features
* Without JavaScript.
* Posts with markdown support.
* Comments with markdown support.
* Categories.
* View posts by tags.
* RSS feed

## System requirements
* PHP 7.3 +
* GDLib
* SQLite3

## Run
```
git clone https://code.fossee.net/chicory/orblog-legacy.git
cd orblog
php -S 127.0.0.1:8000
```
**Admin panel:**
```
hostname/?view=admin
password: changeme
```

## Installation
* Edit config file (./config.php).
* Set permissions.
  * For ./private/data 775
  * For ./private/data/data.sqlite 664
  * For other files 644
* Deny access to ./private directory at web server.
* Open your_domain/?view=admin in web browser.

## Screenshots

### Main page
![Main page](./screeshots/main.png)
### Comment
![Comment](./screeshots/comment.png)
### Amin panel post adding
![Amin panel post adding](./screeshots/admin_add_post.png)
### Amin panel categories management
![Amin panel categories management](./screeshots/admin_category.png)
### Amin panel comments moderation
![Amin panel comments moderation](./screeshots/admin_comments.png)